{% load crispy_forms_tags %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Log In Page</title>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <link href="https://fonts.googleapis.com/css?family=Courgette&display=swap" rel="stylesheet">
    </head>
    <body>
    <div style="
    align-items: center;
    text-align:center;margin : 50px 300px 300px; background-color: cornsilk;padding-top:20px;padding-bottom:20px">
        <div class ='container'style="margin-bottom:50px">
            <h1 style=" color:darkcyan; font-family: 'Courgette', cursive;"> Welcome!</h1>
        </div>
         {% if form.errors %}
        <div class="container" style="margin-bottom:50px">
        <p style="color: red;"> Please enter a correct username and password. Note that both fields may be case-sensitive.</p>
        </div>
        {% endif %}

        
        <div class=container>
        <form method="post" >
            {% csrf_token %}

           <p style=" color:darkcyan"> Username : {{ form.username }} </p> 
           <p style=" color:darkcyan"> Password : {{ form.password }} </p>
           

            <p><input type="submit" class="btn btn-success" style="align-self: center" value='Log In'></p>
           
        </form>
        </div>
        <div class ='container'>
            <p> Don't have account?  <a href ="{% url 'register' %}" >Sign Up Here!</a></p>
        </div>
    </div>  

    </body>
</html>